# Configuration for GWTEventService

# Note: All default values are excluded (set in comments), because these values are applied automatically.
# Values which are not set in comments, are applied and represent the recommend setting for new projects. These may vary from the default values
# (for compatibility reasons).

# Time to wait at maximum (canceled when an event occurred)
eventservice.time.waiting.max=7200000

# Time to wait at minimum (even when events have already occurred)
eventservice.time.waiting.min=0

# Time till timeout (when the time is reached, the user will be removed from listening for events)
eventservice.time.timeout=7200000

# Number of reconnect attempts (reconnect attempts will be executed when a connection issue is occurred)
eventservice.reconnect.attempt.count=2

# Generator for unique client ids
#eventservice.connection.id.generator=de.novanic.eventservice.service.connection.id.SessionConnectionIdGenerator

# Connection strategy (client side part / connector) to define the communication between client and server side
#eventservice.connection.strategy.client.connector=de.novanic.eventservice.client.connection.strategy.connector.DefaultClientConnector

# Connection strategy (server side part / connector) to define the transfer of events between client and server side
#eventservice.connection.strategy.server.connector=de.novanic.eventservice.service.connection.strategy.connector.longpolling.LongPollingServerConnector

# Connection strategy encoding - Encoding / charset for the connection strategy
#eventservice.connection.strategy.encoding=utf-8

# Maximum amount of events which should be transferred to the client at once.
# The maximum amount of events prevents the listening logic from endless seeking of events (for example when more events are concurrently added than the listen thread can process).
#eventservice.events.max=1000
